package org.nl.acs.agv.server;


import cn.hutool.http.HttpResponse;
import org.nl.acs.instruction.domain.Instruction;

/**
 * 浙大AGV服务
 */
public interface ZheDaAgvService {

    /**
     * 下发指令
     * @param inst 指令对象
     * @return
     * @throws Exception
     */
    public HttpResponse sendAgvInstToAgv(Instruction inst) throws Exception;

    /**
     * 查询AGV状态
     * 永裕家居项目:共两楼
     *
     * @param floor 1、二楼AGV系统；2、一楼AGV系统
     * @return
     */
    public HttpResponse queryAgvInstStatus(String floor);

    public HttpResponse queryAgvDeviceStatus(String floor);

    String process(String jobno, String type, String address, String action, String processingVehicle);

    public HttpResponse markComplete(String code);

    /**
     * 删除先知任务
     *
     * @param instCode
     * @return
     */
    public HttpResponse deleteZDAgvInst(String instCode) throws Exception;

}
